Fulfillment & ShippingFulfillment
Deliver fulfillment order
Moves an assigned in-progress, ready-for-pickup or shipped fulfillment order to delivered.
Path Parameters
id*string
Unique identifier of the resource.
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://api.ecomiq.pe/api/v1/fulfillment/orders/7204558912004325350/deliver" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>"{ "id": "7204558912004325350", "orderId": "7204558912004325350", "orderNumber": "ORD-2026-0001", "locationId": "7204558912004328277", "locationName": "Mi tienda", "status": "pendingAssignment", "shipmentOriginKind": "manual", "shippingConnectionId": "7204558912004329148", "packageId": "7204558912004325646", "shipmentId": "7204558912004327602", "trackingNumber": "PE1234567890", "trackingLink": "https://tracking.example.com/PE1234567890", "labelUrl": "https://mi-tienda.ecomiq.app/products/polo-de-algodon", "carrierName": "Courier Lima", "items": [ { "orderItemId": "7204558912004328121", "productId": "7204558912004322039", "variantId": "7204558912004323197", "title": "Polo de algodón", "sku": "POL-001-AZ-M", "quantity": 2, "shippedQuantity": 2, "remainingQuantity": 2, "committedQuantity": 2 } ], "shipments": [ { "id": "7204558912004325350", "originKind": "manual", "shippingConnectionId": "7204558912004329148", "packageId": "7204558912004325646", "shipmentId": "7204558912004327602", "trackingNumber": "PE1234567890", "trackingLink": "https://tracking.example.com/PE1234567890", "labelUrl": "https://mi-tienda.ecomiq.app/products/polo-de-algodon", "carrierName": "Courier Lima", "items": [ { "orderItemId": "7204558912004328121", "sku": "POL-001-AZ-M", "quantity": 2, "weight": 0.3, "weightUnit": "kilogram" } ], "createdOn": "2026-09-28T15:30:00Z" } ], "createdOn": "2026-09-28T15:30:00Z", "updatedOn": "2026-09-28T15:30:00Z"}